const table = {
  taskColumns: [
    {
      title: '操作',
      dataIndex: 'action',
      scopedSlots: { customRender: 'action' },
    },
    {
      title: '盘点任务编号',
      dataIndex: 'number',
    },

    {
      title: '盘点任务名称',
      dataIndex: 'taskName',
    },
    {
      title: '盘点类型',
      dataIndex: 'taskType',
      scopedSlots: { customRender: 'taskType' },
    },
    {
      title: '盘点仓库',
      dataIndex: 'depotName',
    },
    {
      title: '商品数量',
      dataIndex: 'materialCount',
    },
    {
      title: '盘点库位范围',
      dataIndex: 'positionRange',
    },
    {
      title: '创建人',
      dataIndex: 'createByName',
    },
    {
      title: '创建时间',
      dataIndex: 'createTime',
    },
    {
      title: '盘点负责人',
      dataIndex: 'creatorName',
    },
    {
      title: '盘点状态',
      dataIndex: 'taskStatus',
      scopedSlots: { customRender: 'taskStatus' },
    },
    {
      title: '完成时间',
      dataIndex: 'operTime',
    },
  ],
  goodsColums: [
    {
      title: '操作',
      dataIndex: 'action',
      align: 'center',
      width: 90,
      scopedSlots: { customRender: 'action' },
    },
    { dataIndex: 'id', title: 'id' },

    // { dataIndex: 'mBarCode', title: '条码', scopedSlots: { customRender: 'customBarCode' } },
    { dataIndex: 'batchNumber', title: '批次号' },
    { dataIndex: 'name', title: '名称', scopedSlots: { customRender: 'customName' } },
    { dataIndex: 'categoryName', title: '类别' },
    { dataIndex: 'standard', title: '规格' },
    { dataIndex: 'model', title: '型号' },
    { dataIndex: 'color', title: '颜色' },
    { dataIndex: 'brand', title: '品牌' },
    { dataIndex: 'supplierName', title: '供应商' },
    { dataIndex: 'unit', title: '单位' },
    { dataIndex: 'sku', title: '多属性' },
    { dataIndex: 'stock', title: '库存' },
    { dataIndex: 'productionDate', title: '生产日期' },
    { dataIndex: 'expiryNum', title: '保质期' },
    { dataIndex: 'barCode', title: '商品条码' },
    { dataIndex: 'depotId', title: '仓库名称' },
    { dataIndex: 'position', title: '仓库货架' },
  ],
  checkGoodsColumns: [
    { dataIndex: 'categoryName', title: '商品类别', scopedSlots: { customRender: 'categoryName' } },
    { dataIndex: 'name', title: '商品名称' },
    { dataIndex: 'systemSku', title: '系统SKU' },
    { dataIndex: 'batchNumber', title: '批次号' },
    { dataIndex: 'unit', title: '单位' },
    { dataIndex: 'productionDate', title: '生产日期' },
    { dataIndex: 'supplierName', title: '供应商' },
    { dataIndex: 'barCode', title: '商品条码' },
    { dataIndex: 'stock', title: '库存(最小单位)' },
    { dataIndex: 'depotId', title: '仓库名称' },
    { dataIndex: 'position', title: '仓库货架' },
    { dataIndex: 'newInventory', title: '实际库存' },
    { dataIndex: 'newPosition', title: '实际仓位货架' },
    { dataIndex: 'differenceCount', title: '差异数量' },
    { dataIndex: 'differenceReason', title: '差异原因' },
    {
      title: '操作',
      dataIndex: 'action',
      align: 'center',
      width: 90,
      scopedSlots: { customRender: 'action' },
    },
  ],
}

export default table
